package com.ym.mec.biz.dal.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class CourseHomeworkListDto {

    /**  */
    private Long id;

    /**  */
    private Long courseScheduleId;

    /** 作业内容 */
    private String content;

    /**  */
    private java.util.Date createTime;

    @ApiModelProperty(value = "截至日期",required = false)
    private Date expiryDate;

    /** 上课时间 */
    @ApiModelProperty(value = "上课时间",required = false)
    private java.util.Date startClassTime;

    /**  */
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    /**  */
    private Integer classGroupId;

    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "作业完成人数",required = false)
    private Integer completedNum;

    @ApiModelProperty(value = "预计完成人数",required = false)
    private Integer expectNum;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @ApiModelProperty(value = "提交状态",required = false)
    private YesOrNoEnum status;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @ApiModelProperty(value = "是否已经回复",required = false)
    private YesOrNoEnum isReplied;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Integer getCompletedNum() {
        return completedNum;
    }

    public void setCompletedNum(Integer completedNum) {
        this.completedNum = completedNum;
    }

    public Integer getExpectNum() {
        return expectNum;
    }

    public void setExpectNum(Integer expectNum) {
        this.expectNum = expectNum;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public YesOrNoEnum getIsReplied() {
        return isReplied;
    }

    public void setIsReplied(YesOrNoEnum isReplied) {
        this.isReplied = isReplied;
    }
}
